
# Module SIDS 

## Maturity level

 **Maturity level :** operational
 
## Context

 This module is used to create SIDS bean and format URL to send it to Database compatible with SIDS convention 

## API

   1. create HTTP client with dedicated URL (once)
   2. create a Station object (once)
   3. created SIDS object 
   4. send data with HTTP client SendSIDSBasic
   
   Code Exemple (minimum): 
   

    SIDSData sids = new SIDSData();
    sids.setStation(new Station());
    sids.setNoradID(99836);
    sids.setTelemetryData(GregorianCalendar.getInstance().getTime(),"8c6c96a88240e09e9c60648ca46103f00000000008");
    client.SendSIDSBasic(sids);


## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

A dedicated folder on AMSAT-Francophone forum is set : [Rubrique Josast](http://forum.amsat-f.org/forumdisplay.php?fid=38)

## License
[GNU Lesser General Public License v2.1](http://choosealicense.com/licenses/lgpl-2.1/)