# SIDS (Simple Downlink Share)  Convention

## context 

SIDS protocole has been issued for the UWE3 satellite by the  University of Würzburg (Germany). 

This protocole has been used by diffent project
 - [Satnogs](https://satnogs.org/)
 - [Picsat](https://picsat.obspm.fr/)
 - 
 - AMSAT-F Database 
 
Different tools are compatible with this protocole
  - [Online Telemetry Forwarder](https://www.satblog.info/software/)  ( from DK3WN  )
  - [gr_satellites](https://github.com/daniestevez/gr-satellites)
  - [r2cloud](https://github.com/dernasherbrezon/r2cloud) 
  - [satnogs](https://satnogs.org/)
 
##  SIDS field description 


| Field | Type | Required| Description | Example |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| noradID  | Integer  | yes |  Norad ID of the spacecraft |  39446 |
| source |  String |  yes |  e.g. Callsign of the receiver  | DK3WN |
| timestamp |  String |  yes |  UTC timestamp (see ISO 8601) |  2014-05-01T10:21:33.560Z |
| frame | HEXString  | yes  | Received binary data as hexadecimal string. Whitespaces are optional | 88 88 60 AA... |
| locator  | String  | yes  | Type of the given receiver's location. Currently only 'longLat' is supported which defines the WGS84 standard | longLat  |
| longitude  | String  | yes |  Longitude of the receiver's location (WGS84) |  8.95564E |
| latitude |  String | yes  | Latitude of the receiver's location (WGS84) |  49.73145N |
| tncPort |  Integer  | no  | Port at which the packet was received (e.g.the defined Channel in the KISS packet) | 0 |
| azimuth  |  Float |  no |  Azimuth degree of a directional antenna (if available) | 10.5 |
| elevation |  Float |  no |  Elevation degree of a directional antenna (if available)| 85.0  |
| fDown |  Integer |  no |  Frequency of the transceiver's downlink channel during the receive (with doppler!)| 436399000 |



## URL formation 

Exemple : BASIC_URL?PARAM_1=VALUE_1&PARAM_2=VALUE_2&...


## references 

  - documentation
  - https://www.pe0sat.vgnet.nl/decoding/tlm-decoding-software/sids/
  - 
  
  
  
  
  